import * as mysql from 'mysql2/promise';
export declare function getConnection(): Promise<mysql.PoolConnection>;
export declare function query(query: string, params?: any[] | string | Record<string, any>): Promise<[any, any]>;
export declare function checkPatches(): Promise<void>;
declare const _default: {
    query: typeof query;
    getConnection: typeof getConnection;
    checkPatches: typeof checkPatches;
};
export default _default;
