import Controller from '@curveball/controller';
import { Context } from '@curveball/core';
/**
 * The /introspect endpoint allows a client to get more information
 * about an issued access or refresh token.
 *
 * This is an implementation of RFC7662: OAuth 2.0 Token Introspection
 */
declare class IntrospectionController extends Controller {
    post(ctx: Context<any>): Promise<void>;
}
declare const _default: IntrospectionController;
export default _default;
