"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logoutForm = void 0;
const templates_1 = require("../../templates");
function logoutForm(msg, error, continueUri) {
    const hiddenFields = {};
    if (continueUri) {
        hiddenFields['continue'] = continueUri;
    }
    return templates_1.render('logout', {
        title: 'Logout',
        msg: msg,
        error: error,
        action: '/logout',
        hiddenFields,
    });
}
exports.logoutForm = logoutForm;
//# sourceMappingURL=html.js.map