import { App } from '../../principal/types';
export declare function newClient(user: App): {
    properties: {
        title: string;
    };
    links: {
        rel: string[];
        href: string;
        title: string;
    }[];
    actions: {
        name: string;
        title: string;
        method: string;
        type: string;
        href: string;
        fields: ({
            name: string;
            title: string;
            type?: undefined;
            value?: undefined;
        } | {
            name: string;
            title: string;
            type: string;
            value?: undefined;
        } | {
            name: string;
            title: string;
            type: string;
            value: boolean;
        })[];
    }[];
};
