import Controller from '@curveball/controller';
import { Context } from '@curveball/core';
import { OAuth2Client } from '../../oauth2-client/types';
declare class TokenController extends Controller {
    post(ctx: Context<any>): Promise<void>;
    clientCredentials(oauth2Client: OAuth2Client, ctx: Context): Promise<void>;
    authorizationCode(oauth2Client: OAuth2Client, ctx: Context<any>): Promise<void>;
    password(oauth2Client: OAuth2Client, ctx: Context<any>): Promise<void>;
    refreshToken(oauth2Client: OAuth2Client, ctx: Context<any>): Promise<void>;
    options(ctx: Context): Promise<void>;
    sendCORSHeaders(ctx: Context): void;
}
declare const _default: TokenController;
export default _default;
