"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.activeSessions = void 0;
const stringify = require("csv-stringify/lib/sync");
function activeSessions(tokens, clients) {
    return stringify(tokens.map(token => {
        var _a;
        return {
            Expires: new Date(token.refreshTokenExpires * 1000).toString(),
            Client: token.clientId === 0 ? 'System generated' : (_a = clients.get(token.clientId)) === null || _a === void 0 ? void 0 : _a.app.nickname,
        };
    }), {
        header: true,
        columns: [
            'Expires',
            'Client',
        ],
    });
}
exports.activeSessions = activeSessions;
//# sourceMappingURL=csv.js.map