import { OAuth2Token } from '../types';
export declare function metadata(): {
    issuer: string;
    authorization_endpoint: string;
    token_endpoint: string;
    response_types_supported: string[];
    grant_types_supported: string[];
    token_endpoint_auth_methods_supported: string[];
    service_documentation: string;
    ui_locales_supported: string[];
    introspection_endpoint: string;
    revocation_endpoint: string;
    revocation_endpoint_auth_methods_supported: string[];
};
export declare function tokenResponse(token: OAuth2Token | Omit<OAuth2Token, 'clientId'>): {
    access_token: string;
    token_type: "bearer";
    expires_in: number;
    refresh_token: string;
};
