import { App, User } from '../principal/types';
export declare type OAuth2Token = {
    accessToken: string;
    refreshToken: string;
    accessTokenExpires: number;
    refreshTokenExpires: number;
    tokenType: 'bearer';
    user: App | User;
    clientId: number;
    browserSessionId?: string;
};
export declare type OAuth2Code = {
    code: string;
};
export declare type CodeChallengeMethod = 'plain' | 'S256';
