"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mfaRegistrationForm = exports.registrationForm = void 0;
const templates_1 = require("../../templates");
function registrationForm(msg, error, mfaRegistrationEnabled, firstRunMode) {
    return templates_1.render('register/user', {
        title: firstRunMode ? 'Create Admin Account' : 'Register',
        msg: msg,
        error: error,
        action: '/register',
        mfaRegistrationEnabled,
    });
}
exports.registrationForm = registrationForm;
function mfaRegistrationForm(msg, error, totpEnabled, webAuthnEnabled) {
    return templates_1.render('register/mfa', {
        title: 'Register MFA Device',
        msg: msg,
        error: error,
        action: '/register/mfa',
        totpEnabled,
        webAuthnEnabled,
    });
}
exports.mfaRegistrationForm = mfaRegistrationForm;
//# sourceMappingURL=html.js.map