import Controller from '@curveball/controller';
import { Context } from '@curveball/core';
declare class ResetPasswordController extends Controller {
    /**
     * If passwords provided didn't match for new and confirm passwords, it will
     * render this reset password form.
     */
    get(ctx: Context): Promise<void>;
    /**
     * This request checks if provided 2 passwords, new password and confirm password, is identical
     * and updates database with the new password.
     */
    post(ctx: Context<any>): Promise<void>;
}
declare const _default: ResetPasswordController;
export default _default;
