/**
 * Centralized place for all crypto-related functions
 */
/**
 * Returns a secret, opaque token.
 *
 * The token will use the characters from the base64url character list, which
 * is url-safe.
 */
export declare function generateSecretToken(bytes?: number): Promise<string>;
