import { OAuth2Token } from '../../oauth2/types';
import { PrivilegeMap } from '../../privilege/types';
export declare function accessToken(token: OAuth2Token, privileges: PrivilegeMap): {
    active: boolean;
    scope: string;
    privileges: PrivilegeMap;
    client_id: number;
    username: string;
    token_type: string;
    exp: number;
    _links: {
        'authenticated-as': {
            href: string;
        };
    };
};
export declare function refreshToken(token: OAuth2Token, privileges: PrivilegeMap): {
    active: boolean;
    scope: string;
    privileges: PrivilegeMap;
    client_id: number;
    username: string;
    token_type: string;
    _links: {
        'authenticated-as': {
            href: string;
        };
    };
};
export declare function inactive(): {
    active: boolean;
};
