"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.eventTypeString = exports.EventType = void 0;
var EventType;
(function (EventType) {
    EventType[EventType["loginSuccess"] = 1] = "loginSuccess";
    EventType[EventType["loginFailed"] = 2] = "loginFailed";
    EventType[EventType["totpFailed"] = 3] = "totpFailed";
    EventType[EventType["changePasswordSuccess"] = 4] = "changePasswordSuccess";
    EventType[EventType["resetPasswordRequest"] = 5] = "resetPasswordRequest";
    EventType[EventType["resetPasswordSuccess"] = 6] = "resetPasswordSuccess";
    EventType[EventType["loginFailedInactive"] = 7] = "loginFailedInactive";
    EventType[EventType["webAuthnFailed"] = 8] = "webAuthnFailed";
    EventType[EventType["tokenRevoked"] = 9] = "tokenRevoked";
    EventType[EventType["oauth2BadRedirect"] = 11] = "oauth2BadRedirect";
    EventType[EventType["generateAccessToken"] = 12] = "generateAccessToken";
})(EventType = exports.EventType || (exports.EventType = {}));
exports.eventTypeString = new Map([
    [EventType.loginSuccess, 'login-success'],
    [EventType.loginFailed, 'login-failed'],
    [EventType.totpFailed, 'totp-failed'],
    [EventType.webAuthnFailed, 'webauthn-failed'],
    [EventType.changePasswordSuccess, 'change-password-success'],
    [EventType.resetPasswordRequest, 'reset-password-request'],
    [EventType.resetPasswordSuccess, 'reset-password-success'],
    [EventType.loginFailedInactive, 'login-failed-inactive'],
    [EventType.tokenRevoked, 'token-revoked'],
    [EventType.oauth2BadRedirect, 'oauth2-badredirect'],
]);
//# sourceMappingURL=types.js.map