import Controller from '@curveball/controller';
import { Context } from '@curveball/core';
import { User } from '../../principal/types';
declare class LoginController extends Controller {
    get(ctx: Context): Promise<void>;
    post(ctx: Context<any>): Promise<void>;
    redirectToLogin(ctx: Context<any>, msg: string, error: string): void;
    shouldMfaRedirect(ctx: Context, user: User): Promise<boolean>;
    shouldUseTotp(ctx: Context<any>, user: User): Promise<boolean>;
    shouldUseWebauthn(ctx: Context<any>, user: User): Promise<boolean>;
    isMfaEnabled(): boolean;
    redirectToMfa(ctx: Context, redirectUrl: string): void;
}
declare const _default: LoginController;
export default _default;
