"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mfaForm = exports.loginForm = void 0;
const templates_1 = require("../../templates");
function loginForm(msg, error, hiddenFields, registrationEnabled) {
    return templates_1.render('login', {
        title: 'Login',
        msg: msg,
        error: error,
        hiddenFields: hiddenFields,
        action: '/login',
        registrationEnabled,
    });
}
exports.loginForm = loginForm;
function mfaForm(msg, error, useTotp, useWebAuthn, hiddenFields) {
    return templates_1.render('login-mfa', {
        title: 'MFA',
        msg: msg,
        error: error,
        useTotp,
        useWebAuthn,
        hiddenFields: hiddenFields,
        action: '/login/mfa',
    });
}
exports.mfaForm = mfaForm;
//# sourceMappingURL=html.js.map