"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.registrationForm = void 0;
const templates_1 = require("../../../templates");
function registrationForm(msg, error, secret, qrCode) {
    return templates_1.render('register/totp', {
        title: 'Register MFA Device',
        action: '/register/mfa/totp',
        msg: msg,
        error: error,
        secret,
        qrCode,
    });
}
exports.registrationForm = registrationForm;
//# sourceMappingURL=html.js.map