import Controller from '@curveball/controller';
import { Context } from '@curveball/core';
import { OAuth2Client } from '../../oauth2-client/types';
declare class AuthorizeController extends Controller {
    get(ctx: Context): Promise<void>;
    tokenRedirect(ctx: Context, oauth2Client: OAuth2Client, redirectUri: string, state: string | undefined): Promise<void>;
    codeRedirect(ctx: Context, oauth2Client: OAuth2Client, redirectUri: string, state: string | undefined, codeChallenge: string | undefined, codeChallengeMethod: 'S256' | 'plain' | undefined): Promise<void>;
    /**
     * Redirects to login screen, if login failed
     */
    redirectToLogin(ctx: Context, params: {
        [key: string]: string;
    }): Promise<void>;
}
declare const _default: AuthorizeController;
export default _default;
